from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_alternatives.get_transcripts(id="<id>")
assert res.transcript_response is not None
# Handle response
print(res.transcript_response)curl --request GET \
--url https://api.aries.com/v1/stock/transcripts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/transcripts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"audio": "https://api.aries.com/v1/stock/media/presentation/api/redirect?urlType=transcripts-audio&id=AAPL_162777",
"id": "AAPL_162777",
"participant": [
{
"description": "Senior Analyst, Corporate Finance and IR",
"name": "Tejas Gala",
"role": "executive"
}
],
"quarter": 1,
"symbol": "AAPL",
"time": "2020-01-29 02:36:41",
"title": "AAPL - Earnings call Q1 2020",
"transcript": [
{
"name": "Operator",
"session": "management_discussion",
"speech": [
"Good day, everyone. Welcome to the Apple Incorporated First Quarter Fiscal Year 2020 Earnings Conference Call. Today's conference is being recorded.",
"At this time for opening remarks and introductions, I would like to turn the call over to Tejas Gala, Senior Analyst, Corporate Finance and Investor Relations. Please go ahead."
]
}
],
"year": 2020
}Transcript by ID
Retrieve a single earnings call transcript by id. Returns full transcript content and audio URL.
Use Case: Show transcript text and play audio for a specific earnings call after selecting from the transcripts list.
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_alternatives.get_transcripts(id="<id>")
assert res.transcript_response is not None
# Handle response
print(res.transcript_response)curl --request GET \
--url https://api.aries.com/v1/stock/transcripts \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/transcripts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/transcripts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/transcripts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/transcripts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"audio": "https://api.aries.com/v1/stock/media/presentation/api/redirect?urlType=transcripts-audio&id=AAPL_162777",
"id": "AAPL_162777",
"participant": [
{
"description": "Senior Analyst, Corporate Finance and IR",
"name": "Tejas Gala",
"role": "executive"
}
],
"quarter": 1,
"symbol": "AAPL",
"time": "2020-01-29 02:36:41",
"title": "AAPL - Earnings call Q1 2020",
"transcript": [
{
"name": "Operator",
"session": "management_discussion",
"speech": [
"Good day, everyone. Welcome to the Apple Incorporated First Quarter Fiscal Year 2020 Earnings Conference Call. Today's conference is being recorded.",
"At this time for opening remarks and introductions, I would like to turn the call over to Tejas Gala, Senior Analyst, Corporate Finance and Investor Relations. Please go ahead."
]
}
],
"year": 2020
}Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Transcript id (from transcripts list). |
Response
Success returns200 OK with a JSON object containing the transcript (title, participant, transcript segments with speech, audio URL).
Errors: 400 when id is missing, 401 unauthorized, 404 when transcript not found, 500 server error.Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Unique identifier for an earnings-call transcript. Obtain it from /v1/stock/transcripts/list for the symbol you want.
Response
Transcript content.
Full earnings call transcript with participants and speech segments.
URL of the earnings call audio recording.
Transcript identifier.
Participants in the earnings call.
Show child attributes
Show child attributes
Fiscal quarter of the earnings call.
Ticker symbol of the company.
Timestamp of the earnings call as provided by the data vendor.
Title of the earnings call transcript.
Speech segments of the call in order.
Show child attributes
Show child attributes
Fiscal year of the earnings call.
Was this page helpful?